# see https://symfony.com/doc/current/reference/configuration/framework.html
framework:
    secret: '%env(APP_SECRET)%'
    #csrf_protection: true
    http_method_override: false
    trusted_proxies: 10.10.1.0/24
    # or, if your proxy instead uses the "Forwarded" header
    trusted_headers: ['x-forwarded-for', 'x-forwarded-host', 'x-forwarded-proto', 'x-forwarded-port', 'x-forwarded-prefix']
    http_client:
        default_options:
            max_redirects: 18
    # Enables session support. Note that the session will ONLY be started if you read or write from it.
    # Remove or comment this section to explicitly disable session support.
    session:
        cookie_secure: auto
        cookie_samesite: lax
        storage_factory_id: session.storage.factory.native
        handler_id: 'session.handler.native_file'
        save_path: '%kernel.project_dir%/var/sessions/%kernel.environment%'
    #esi: true
    #fragments: true
    php_errors:
        log: true

when@test:
    framework:
        test: true
        session:
            storage_factory_id: session.storage.factory.mock_file
when@dev:
    framework:
        test: false
        session:
            cookie_secure: auto
            cookie_samesite: lax
            storage_factory_id: session.storage.factory.native
            handler_id: 'session.handler.native_file'
            save_path: '%kernel.project_dir%/var/sessions/%kernel.environment%'        
when@prod:
    framework:
        test: false
        session:
            cookie_secure: auto
            cookie_samesite: lax
            storage_factory_id: session.storage.factory.native
            handler_id: 'session.handler.native_file'
            save_path: '%kernel.project_dir%/var/sessions/%kernel.environment%'
